Page MenuHomePhabricator

Collapse infoboxes by default / make it easier to skip infoboxes
Closed, DeclinedPublic

Description

problem: infoboxes can dominate the reading experience making it difficult to read other content.

From https://www.mediawiki.org/w/index.php?title=Topic:Smzxv2i31m9uo12e&topic_showPostId=smzxv2ilr3hmq9nq#flow-post-smzxv2ilr3hmq9nq

From Doc James
We have some very large infoboxes. They are collapsed within the app but on the mobile site come before any other content. We should consider collapsing on mobile. Or at least allowing parts of them to be collapsed.

Mobile apps are already doing this. Lets discuss.

@Unicornisaurous has suggested we might want to make it possible to add a button to jump to content to allow users to skip infoboxes (see T125550)

What other ways could we deal with this problem?

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedKrenair
OpenNone
ResolvedJdlrobson
DeclinedNone
OpenNone
DeclinedNone
Resolvedssastry
ResolvedbearND
ResolvedbearND
ResolvedbearND
ResolvedbearND
OpenNone
ResolvedJhernandez
OpenNone
Resolvedmarcoil
ResolvedCatrope
Resolvedmarcoil
ResolvedArlolra
ResolvedArlolra
Resolved GWicke
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedCmjohnson
ResolvedCmjohnson
ResolvedJoe
Resolvedfgiunchedi
Resolved GWicke
Resolved Jdouglas
Resolved GWicke
Resolved GWicke
ResolvedArlolra
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Duplicate Jdouglas
ResolvedAndrew
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedEevans
Resolvedfgiunchedi
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedmobrovac
Resolved GWicke
Resolved GWicke
Resolved AlexMonk-WMF
Resolvedsanthosh
Resolvedssastry
ResolvedMholloway
ResolvedJackmcbarn
ResolvedRenxiaoyi
Resolvedcscott
ResolvedKelson
OpenNone
OpenNone
OpenNone
ResolvedArlolra
ResolvedArlolra
OpenNone
Opencscott
OpenRenxiaoyi
OpenSBisson
DeclinedNone
DeclinedNone
DeclinedNone
OpenNone
OpenNone
InvalidNone
InvalidNone
DuplicateNone
DuplicateNone
ResolvedJhernandez
ResolvedJdlrobson
DuplicatePeter
Resolvedbmansurov
OpenNone
DuplicateNone
Resolvednray
Resolvedphuedx
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedEBernhardson
ResolvedAnomie
ResolvedAnomie
DuplicateNone
ResolvedNone
Resolvedphuedx
DeclinedNone

Event Timeline

Jhernandez raised the priority of this task from to Needs Triage.
Jhernandez updated the task description. (Show Details)
Jhernandez added a project: MobileFrontend.
Jhernandez added a subscriber: Jhernandez.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2015, 12:25 PM
KLans_WMF triaged this task as Normal priority.Aug 20 2015, 5:15 PM
KLans_WMF set Security to None.
Jdlrobson moved this task from Backlog to Discussing on the MobileFrontend board.Nov 4 2015, 5:24 PM

This is not a simple task so not suitable for the Code in. It will be made easier by the RESTBase work we are doing.

I am considering to prototype infobox and navbox identification / wrapping in https://github.com/gwicke/parsoid-dom-utils, with an eye towards integrating this into parsoid proper longer term.

My proposal is to wrap such elements into custom elements (ex: <wp-infobox>, <wp-navbox>), and then filter / on-demand load them.

Jdlrobson renamed this task from Collapse infoboxes by default to Collapse infoboxes by default / make it easier to skip infoboxes.Feb 5 2016, 12:17 AM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: phuedx, Nirzar, bd808 and 2 others.
Jhernandez closed this task as Declined.Jul 5 2016, 4:53 PM

Declined for now given infoboxes are not shown on the mobile website so this is not a problem per-se.